summaryrefslogtreecommitdiffstats
path: root/libraries/lame
diff options
context:
space:
mode:
author Martin Lefebvre2010-05-11 14:56:16 +0200
committer Robby Workman2010-05-11 14:56:16 +0200
commit39705f65a6a657639b43c36c9f29087722cce40f (patch)
tree4362b5ab75802532ed355e036d054cc7f5199409 /libraries/lame
parent05e492f455764e7e68ac90ea9afc1c5285980b98 (diff)
downloadslackbuilds-39705f65a6a657639b43c36c9f29087722cce40f.tar.gz
libraries/lame: Initial import
Diffstat (limited to 'libraries/lame')
-rw-r--r--libraries/lame/README4
-rw-r--r--libraries/lame/lame.SlackBuild82
-rw-r--r--libraries/lame/lame.info8
-rw-r--r--libraries/lame/slack-desc8
4 files changed, 102 insertions, 0 deletions
diff --git a/libraries/lame/README b/libraries/lame/README
new file mode 100644
index 0000000000..82311422bd
--- /dev/null
+++ b/libraries/lame/README
@@ -0,0 +1,4 @@
+LAME is an educational tool to be used for learning about MP3 encoding. The
+goal of the LAME project is to use the open source model to improve the psycho
+acoustics, noise shaping and speed of MP3.
+
diff --git a/libraries/lame/lame.SlackBuild b/libraries/lame/lame.SlackBuild
new file mode 100644
index 0000000000..251b98d702
--- /dev/null
+++ b/libraries/lame/lame.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+# Slackware build script for lame
+
+# Copyright 2006 Martin Lefebvre <dadexter@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+set -e
+
+PRGNAM=lame
+VERSION=3.97
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man
+
+make
+make install-strip DESTDIR=$PKG
+
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in `find . -type l` ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+ )
+fi
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a API COPYING ChangeLog DEFINES HACKING INSTALL* LICENSE README* \
+ STYLEGUIDE TODO USAGE $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/usr/share/doc/$PRGNAM/html $PKG/usr/doc/$PRGNAM-$VERSION
+rm -rf $PKG/usr/share
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/lame/lame.info b/libraries/lame/lame.info
new file mode 100644
index 0000000000..a7752e5386
--- /dev/null
+++ b/libraries/lame/lame.info
@@ -0,0 +1,8 @@
+PRGNAM="lame"
+VERSION="3.97"
+HOMEPAGE="http://www.mp3dev.org"
+DOWNLOAD="http://dl.sourceforge.net/lame/lame-3.97.tar.gz"
+MD5SUM="90a4acbb730d150dfe80de145126eef7"
+MAINTAINER="Martin Lefebvre"
+EMAIL="dadexter@gmail.com"
+APPROVED="robw810"
diff --git a/libraries/lame/slack-desc b/libraries/lame/slack-desc
new file mode 100644
index 0000000000..a5b1174b3a
--- /dev/null
+++ b/libraries/lame/slack-desc
@@ -0,0 +1,8 @@
+lame: Lame (LAME Ain't an Mp3 Encoder)
+lame:
+lame: LAME is an educational tool to be used for learning about MP3
+lame: encoding. The goal of the LAME project is to use the open source model
+lame: to improve the psycho acoustics, noise shaping and speed of MP3.
+lame:
+lame:
+lame: